Load user data from YAML file
=============================

Synopsis
-------------

.. note::

    | Variable values can be defined in a list of YAML files.
    | **Disabled**: if yaml is not set in "select for user data" (step.user_data).

Sample
------



Parameters
--------------

.. list-table::

   * - Variable
     - Description

   * - **yaml.filename**

       `UNIX filename <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `multiple` `mandatory` `unique`

       **Command line**: 

       -yf, --yaml.filename

       **Environment variable**: ROUGAILCLI_YAML.FILENAME
     - File or directory names where user data are stored.

       If a directory is set, all files with "yml" ou "yaml" extension will be load with alphanum order.

       **Validators**: 

       

       - this filename could be a relative path

       - this file must exist

       - 'file type allowed: "directory" and "file"'

   * - **yaml.file_with_secrets**

       `choice <https://rougail.readthedocs.io/en/latest/variable.html#variables-types>`__ `mandatory`

       **Command line**: 

       --yaml.file_with_secrets

       **Environment variable**: ROUGAILCLI_YAML.FILE_WITH_SECRETS
     - File that may contain secrets.

       By default, all files can contain secrets. It might be useful to define more precisely which files can contain these secrets.

       **Choices**: 

       

       - all **← (default)**

       - first

       - last

       - none
